<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ARActivity"
    android:baselineAligned="false"
    android:weightSum="1"
    android:background="@color/dull_1">

    <Button
        android:layout_width="wrap_content"
        android:layout_height="60dp"
        android:text="Récupérer"
        android:id="@+id/button_catch"
        android:visibility="visible"
        android:layout_alignParentBottom="true"
        android:layout_alignParentLeft="true"
        android:layout_alignParentStart="true"
        android:layout_alignParentRight="true"
        android:layout_alignParentEnd="true"
        android:onClick="onClickPickUp"
        android:longClickable="false"
        android:textColor="#33b5e5"
        android:textSize="25dp"
        android:background="@drawable/uibutton" />

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_alignParentLeft="true"
        android:layout_alignParentStart="true"
        android:id="@+id/camera_preview"
        android:layout_above="@+id/button_catch"
        android:background="#000000">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:id="@+id/rl_root">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="191dp"
                android:textAppearance="?android:attr/textAppearanceSmall"
                android:text="Small Text"
                android:id="@+id/text_place"
                android:layout_gravity="left|bottom"
                android:textColor="#33b5e5"
                android:layout_centerVertical="true"
                android:layout_alignParentLeft="true"
                android:layout_alignParentStart="true"
                android:visibility="invisible" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="100dp"
                android:textAppearance="?android:attr/textAppearanceSmall"
                android:text="Small Text"
                android:id="@+id/text_detected"
                android:layout_gravity="left|center_vertical"
                android:textColor="#33b5e5"
                android:layout_alignBottom="@+id/text_place"
                android:layout_alignParentLeft="true"
                android:layout_alignParentStart="true"
                android:visibility="invisible" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:maxLines="3"
                android:lines="15"
                android:textAppearance="?android:attr/textAppearanceSmall"
                android:text="Small Text"
                android:id="@+id/gps"
                android:layout_gravity="center_horizontal|bottom"
                android:textColor="#33b5e5"
                android:visibility="visible"
                android:layout_alignTop="@+id/text_place"
                android:layout_toRightOf="@+id/tv_angle"
                android:layout_toEndOf="@+id/tv_angle"
                android:layout_alignParentBottom="true" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textAppearance="?android:attr/textAppearanceLarge"
                android:id="@+id/angle"
                android:maxLines="3"
                android:lines="3"
                android:layout_gravity="center_horizontal|top"
                android:text="Text"
                android:textColor="#33b5e5"
                android:layout_alignParentTop="true"
                android:layout_alignParentLeft="true"
                android:layout_alignParentStart="true"
                android:visibility="invisible" />

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:id="@+id/iv_none"
                android:background="@drawable/ar_none"
                android:scaleType="fitCenter"
                android:visibility="visible" />

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:id="@+id/iv_white"
                android:background="@drawable/ar_white"
                android:visibility="visible" />

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:id="@+id/iv_red"
                android:background="@drawable/ar_red"
                android:visibility="visible" />

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:id="@+id/iv_green"
                android:background="@drawable/ar_green"
                android:visibility="visible" />

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:id="@+id/iv_skin"
                android:scaleType="fitCenter"
                android:background="@drawable/ar_skin"
                android:visibility="visible"
                android:onClick="onStub" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="   X : 185.3°\n   Y : 242.1°\n   Z : 46.3"
                android:id="@+id/tv_angle"
                android:textColor="@color/dull_5"
                android:singleLine="false"
                android:textSize="12dp"
                android:layout_alignParentBottom="true"
                android:layout_alignParentLeft="true"
                android:layout_alignParentStart="true" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="48.12345678° \n-1.12345678° "
                android:id="@+id/tv_gps"
                android:textColor="@color/dull_5"
                android:textSize="12dp"
                android:layout_alignBottom="@+id/tv_angle"
                android:layout_alignParentRight="true"
                android:layout_alignParentEnd="true" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textAppearance="?android:attr/textAppearanceMedium"
                android:text="28.3 m"
                android:id="@+id/tv_distance"
                android:textColor="@color/dull_5"
                android:layout_alignParentTop="true"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="23dp" />

        </RelativeLayout>

    </FrameLayout>

</RelativeLayout>
